Page MenuHomePhabricator

Start using WOFF2 in ULS WebFonts
Closed, ResolvedPublic

Description

Supported by little over 50% of modern browsers (current desktop Firefox, Chrome, Opera; and current Chrome for Android, and Opera for Android).

http://caniuse.com/#feat=woff2

https://docs.google.com/presentation/d/10QJ_GABjwzfwUb5DZ3DULdv82k74QdPArkovYJZ-glc/present

While at it let's also make sure all fonts have a WOFF variant if not already (I know most ULS fonts have a .woff already.

http://caniuse.com/#feat=woff (over 90%) - IE9+, Edge, Firefox, Chrome, Opera, Safari, Android, iOS. Basically all except Opera Mini.

Event Timeline

Krinkle created this task.Feb 27 2016, 7:14 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 27 2016, 7:14 PM
santhosh triaged this task as High priority.Mar 29 2016, 5:30 AM

Change 283125 had a related patch set uploaded (by Santhosh):
Add WOFF2 version of fonts

https://gerrit.wikimedia.org/r/283125

santhosh claimed this task.Apr 13 2016, 5:55 AM

I prepared a spreadsheet showing font size reduction with the above patch

https://docs.google.com/spreadsheets/d/1q69n-UYJR6OAJXW56mH5WUqIFHfC-jjWspq9-Z2IwLw/edit#gid=0

Percentage comparison of size reductions would be interesting.

Can we drop EOT at this point to reduce repo size? IE9+ supports WOFF as far as I can see: http://socialcompare.com/en/comparison/browser-fonts-support-comparison

TTF is also quite soon becoming obsolete.

TTF/EOT can be dropped, IMHO.

Change 283125 merged by jenkins-bot:
Add WOFF2 version of fonts

https://gerrit.wikimedia.org/r/283125

Arrbee moved this task from Backlog to QA on the Language-Q4-2016-Sprint 3 board.May 17 2016, 7:25 AM

Not working on mediawiki.org currently because https://www.mediawiki.org/static/current/extensions/ points to wmf.1 branch. I am trying to figure out why is this and whether we need to change something.

Nikerabbit moved this task from QA to Done on the Language-Q4-2016-Sprint 3 board.May 20 2016, 6:31 AM
Arrbee closed this task as Resolved.May 31 2016, 6:59 AM